function [K,M,Get_flux] = assemblage(n,tri,PosNoeuds,k_th,rho,C_th)

K = zeros(n,n);
M = zeros(n,n);
Get_flux = zeros(2*size(tri,1),n);
for ie=1:size(tri,1)
  noeuds = tri(ie,:);
  ddl = noeuds;
  [we,NEF,GEF,BEF] = elemtr3dp(PosNoeuds(noeuds,:));
  K(ddl,ddl) = K(ddl,ddl) + we * k_th * GEF'*GEF;
  M(ddl,ddl) = M(ddl,ddl) + we * rho * C_th *NEF'*NEF;
  Get_flux(2*ie-1,ddl) = -k_th * GEF(1,:);
  Get_flux(2*ie,ddl) = -k_th * GEF(2,:);
end

end