%% mesh creation
nx=10; %50;
ny=10; %50;
Lx = 0.45;
Ly = 0.40;
x = Lx*ones(ny,1)*(0:nx-1)/(nx-1);
y = Ly*(0:ny-1)'*ones(1,nx)/(ny-1);

PosNoeuds = [x(1:nx*ny)',y(1:nx*ny)']; % nodal coordinates

n = nx*ny;
  % Les bords sont définis avec Lbord 
Lbord = find(PosNoeuds(:,1) < 0.0001);
Lbord = union(Lbord,find(PosNoeuds(:,1) > max(PosNoeuds(:,1)) - 0.0001)); %PosNoeuds(:,1) la première colone de la matrice - x de la maille
Lbord = union(Lbord,find(PosNoeuds(:,2) > max(PosNoeuds(:,2)) - 0.0001));
Lbord = union(Lbord,find(PosNoeuds(:,2) < min(PosNoeuds(:,2)) + 0.0001));
  % Déplacement du point d'origine du repère de la maille au point (0.5 Lx,O.5 Ly)
PosNoeuds = PosNoeuds -0.5*ones(size(PosNoeuds,1),1)*[Lx,Ly];

plot(PosNoeuds(:,1),PosNoeuds(:,2),'.')
axis('equal')
ech = axis;
hold on
plot(PosNoeuds(Lbord,1),PosNoeuds(Lbord,2),'g.')

  % triangular elements
tri = delaunay(PosNoeuds(:,1),PosNoeuds(:,2));
