% online step of the galerkin pod 
mu = 5.;
disp('Galerkin POD')
tic
[Q_dof_ROM, Q_flux_ROM, K, M, Get_Flux] = galerkin_pod_simulation(mu,n,tri,PosNoeuds,Lbord,ech,'n',V_POD);
toc
disp('FEM')
tic
[Q_dof_mu, Q_flux_mu, K, M, Get_Flux]   =   thermique_transitoire(mu,n,tri,PosNoeuds,Lbord,ech,'n');
toc

Nt = min(size(Q_dof_ROM,2), size(Q_dof_mu,2));
DQ = Q_dof_ROM(:,1:Nt)-Q_dof_mu(:,1:Nt);
Approximation_error = sqrt(diag(DQ'*DQ)./diag(Q_dof_mu'*Q_dof_mu));
Total_approximation_error = norm(DQ)/norm(Q_dof_mu)
figure
semilogy(Approximation_error)
title('Time evolution of the approximation error')
